@import "@/styles/variables";

.radio {
    &-label {
        @include button-2;

        display: flex;
        align-items: center;
        gap: 0.5rem;
        color: $gray-800;
        cursor: pointer;

        span {
            &::first-letter {
                text-transform: uppercase;
            }
        }
    }

    input[type="radio"] {
        appearance: none;
        margin: 0;
        width: 1rem;
        aspect-ratio: 1;
        border: 1px solid $gray-500;
        border-radius: 100px;
        cursor: pointer;

        &:hover {
            border: 1px solid $gray-700;
        }

        + span {
            color: $gray-color-400;
        }

        &:checked {
            border: 5px solid $gray-800;

            + span {
                color: $gray-800;
                font-weight: 600;
            }
        }
    }
}
